commit:     e1806c7c28151bcfa7b2fef01d90b9f1849dd347
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 22 14:32:20 2026 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Feb 22 17:32:52 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1806c7c

sys-apps/groff: drop 1.22.4, 1.23.0

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-apps/groff/Manifest                            |   1 -
 .../groff-1.22.4-skip-broken-diffutils-test.patch  |  38 -------
 sys-apps/groff/groff-1.22.4.ebuild                 | 113 --------------------
 sys-apps/groff/groff-1.23.0.ebuild                 | 115 ---------------------
 4 files changed, 267 deletions(-)

diff --git a/sys-apps/groff/Manifest b/sys-apps/groff/Manifest
index 04dcfcdf33ad..ed185d7c27bf 100644
--- a/sys-apps/groff/Manifest
+++ b/sys-apps/groff/Manifest
@@ -1,2 +1 @@
-DIST groff-1.22.4.tar.gz 4137480 BLAKE2B 
cdda8a7e8e42b8d8991656ecfbffe0cd0ed5d8932467cab2f3c1eecb3365f4a5c03321b6ed929d451c3dfb00a46046a781303a1c55c4aa65eb7d178fb36b1cbc
 SHA512 
1c42d3cd71efaf067b5850945d9097fa1f0fadd5e2b6ba7446bd9d4f439fe1ad058e4ddb0d4e0f503682137dfc7c822944ce1e3e5cf981673f8ba197ea77126d
 DIST groff-1.23.0.tar.gz 7433031 BLAKE2B 
9fc5a2302f034761a17f0639a04b82c536ba8a7db15b062dd736e0011fc5a27fddcaf035af128d09f06762825d9bb965e8f5561e4be7a9fea3fe86ca5f6cb2dd
 SHA512 
eff473fd1d0e6b27527318452ef2b7c6c7aba0b1c27fc529036496eccba5717f3639df0b81a297a57f700e27543196d7086b15e43d7e3c7bf075f95feb7f4089

diff --git a/sys-apps/groff/files/groff-1.22.4-skip-broken-diffutils-test.patch 
b/sys-apps/groff/files/groff-1.22.4-skip-broken-diffutils-test.patch
deleted file mode 100644
index 3db5315aaa72..000000000000
--- a/sys-apps/groff/files/groff-1.22.4-skip-broken-diffutils-test.patch
+++ /dev/null
@@ -1,38 +0,0 @@
-https://savannah.gnu.org/bugs/?63726
-https://git.savannah.gnu.org/cgit/groff.git/commit/?id=10274fb69e517b2c4b10fcd0ba3347e5bd0eefd7
---- a/Makefile.in
-+++ b/Makefile.in
-@@ -4195,8 +4195,7 @@ SUFFIXES = .roff .in .ps .mom .pdf .me .ms .ps .html 
.txt .texi .dvi \
- 
- # tests launched by make check
- check_SCRIPTS = 
--TESTS = contrib/gdiffmk/tests/gdiffmk_tests.sh $(am__append_5) \
--      $(am__append_8)
-+TESTS = $(am__append_5) $(am__append_8)
- AM_TESTS_ENVIRONMENT = \
-   abs_top_srcdir=$(abs_top_srcdir) \
-   abs_top_builddir=$(abs_top_builddir) \
-@@ -9570,13 +9569,6 @@ recheck: all $(check_PROGRAMS) $(check_SCRIPTS)
-               am__force_recheck=am--force-recheck \
-               TEST_LOGS="$$log_list"; \
-       exit $$?
--contrib/gdiffmk/tests/gdiffmk_tests.sh.log: 
contrib/gdiffmk/tests/gdiffmk_tests.sh
--      @p='contrib/gdiffmk/tests/gdiffmk_tests.sh'; \
--      b='contrib/gdiffmk/tests/gdiffmk_tests.sh'; \
--      $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
--      --log-file $$b.log --trs-file $$b.trs \
--      $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) 
-- $(LOG_COMPILE) \
--      "$$tst" $(AM_TESTS_FD_REDIRECT)
- contrib/hdtbl/examples/test-hdtbl.sh.log: contrib/hdtbl/examples/test-hdtbl.sh
-       @p='contrib/hdtbl/examples/test-hdtbl.sh'; \
-       b='contrib/hdtbl/examples/test-hdtbl.sh'; \
---- a/contrib/gdiffmk/gdiffmk.am
-+++ b/contrib/gdiffmk/gdiffmk.am
-@@ -26,7 +26,6 @@
- ########################################################################
- gdiffmk_srcdir = $(top_srcdir)/contrib/gdiffmk
- bin_SCRIPTS += gdiffmk
--TESTS += contrib/gdiffmk/tests/gdiffmk_tests.sh
- man1_MANS += contrib/gdiffmk/gdiffmk.1
- EXTRA_DIST += \
-   contrib/gdiffmk/gdiffmk.1.man \

diff --git a/sys-apps/groff/groff-1.22.4.ebuild 
b/sys-apps/groff/groff-1.22.4.ebuild
deleted file mode 100644
index 00821a9b2ca8..000000000000
--- a/sys-apps/groff/groff-1.22.4.ebuild
+++ /dev/null
@@ -1,113 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic toolchain-funcs
-
-MY_P="${P/_/.}"
-
-DESCRIPTION="Text formatter used for man pages"
-HOMEPAGE="https://www.gnu.org/software/groff/groff.html";
-SRC_URI="mirror://gnu/groff/${MY_P}.tar.gz
-       https://alpha.gnu.org/gnu/groff/${MY_P}.tar.gz";
-
-LICENSE="GPL-2"
-SLOT="0"
-[[ "${PV}" == *_rc* ]] || \
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv 
~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
-IUSE="examples uchardet X"
-
-RDEPEND="
-       uchardet? ( app-i18n/uchardet )
-       X? (
-               x11-libs/libICE
-               x11-libs/libSM
-               x11-libs/libX11
-               x11-libs/libXaw
-               x11-libs/libXmu
-               x11-libs/libXt
-       )"
-DEPEND="${RDEPEND}"
-BDEPEND="
-       dev-lang/perl
-       sys-apps/texinfo"
-
-DOCS=( BUG-REPORT ChangeLog MORE.STUFF NEWS PROBLEMS PROJECTS README TODO )
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=(
-       "${FILESDIR}"/${PN}-1.19.2-man-unicode-dashes.patch #16108 #17580 
#121502
-       "${FILESDIR}"/${PN}-1.22.4-skip-broken-diffutils-test.patch
-)
-
-src_prepare() {
-       default
-
-       # honor Gentoo's docdir
-       sed -i -e "s|^docdir =.*|docdir = \"${EPREFIX}/usr/share/doc/${PF}\"|g" 
\
-               Makefile.in \
-               || die "failed to modify Makefile.in"
-
-       local pfx=$(usex prefix ' Prefix' '')
-       cat <<-EOF >> tmac/mdoc.local
-       .ds volume-operating-system Gentoo${pfx}
-       .ds operating-system Gentoo${pfx}/${KERNEL}
-       .ds default-operating-system Gentoo${pfx}/${KERNEL}
-       EOF
-
-       # make sure we don't get a crappy `g' nameprefix on UNIX systems with 
real
-       # troff (GROFF_G macro runs some test to see, its own troff doesn't 
satisfy)
-       sed -i -e 's/^[ \t]\+g=g$/g=/' configure || die
-}
-
-src_configure() {
-       if use elibc_musl ; then
-               # This should be safe to drop in the release after 1.22.4
-               # gnulib was rather out of date and didn't include musl in its
-               # CHOST checks.
-               # bug #678026
-               export gl_cv_func_signbit_gcc=yes
-       fi
-
-       # Drop in release after 1.22.4! bug #894154
-       append-cxxflags -std=gnu++11
-
-       local myeconfargs=(
-               --with-appresdir="${EPREFIX}"/usr/share/X11/app-defaults
-               $(use_with uchardet)
-               $(use_with X x)
-       )
-       econf "${myeconfargs[@]}"
-}
-
-src_compile() {
-       local -a CROSS_ARGS
-       tc-is-cross-compiler && CROSS_ARGS+=(
-               GROFFBIN="$(type -P groff)"
-               TROFFBIN="$(type -P troff)"
-               GROFF_BIN_DIR=
-               GROFF_BIN_PATH=
-       )
-
-       emake AR="$(tc-getAR)" "${CROSS_ARGS[@]}"
-}
-
-src_install() {
-       default
-
-       # The following links are required for man #123674
-       dosym eqn /usr/bin/geqn
-       dosym tbl /usr/bin/gtbl
-
-       if ! use examples ; then
-               # The pdf files might not be generated if ghostscript is 
unavailable. #602020
-               local pdf="${ED}/usr/share/doc/${PF}/examples/mom/mom-pdf.pdf"
-               if [[ -e ${pdf} ]] ; then
-                       # Keep mom-pdf.pdf since it's more of a manual than an 
example. #454196 #516732
-                       mv "${pdf}" "${ED}/usr/share/doc/${PF}/pdf/" || die
-               fi
-               rm -rf "${ED}/usr/share/doc/${PF}/examples"
-       fi
-}

diff --git a/sys-apps/groff/groff-1.23.0.ebuild 
b/sys-apps/groff/groff-1.23.0.ebuild
deleted file mode 100644
index 5368e724df10..000000000000
--- a/sys-apps/groff/groff-1.23.0.ebuild
+++ /dev/null
@@ -1,115 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit toolchain-funcs
-
-MY_P="${P/_/.}"
-DESCRIPTION="Text formatter used for man pages"
-HOMEPAGE="https://www.gnu.org/software/groff/groff.html";
-
-if [[ ${PV} == *_rc* ]] ; then
-       SRC_URI="https://alpha.gnu.org/gnu/groff/${MY_P}.tar.gz";
-else
-       SRC_URI="mirror://gnu/groff/${MY_P}.tar.gz"
-       KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 
~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
-fi
-
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="examples uchardet X"
-
-RDEPEND="
-       uchardet? ( app-i18n/uchardet )
-       X? (
-               x11-libs/libICE
-               x11-libs/libSM
-               x11-libs/libX11
-               x11-libs/libXaw
-               x11-libs/libXmu
-               x11-libs/libXt
-       )
-"
-DEPEND="${RDEPEND}"
-BDEPEND="
-       dev-lang/perl
-       sys-apps/texinfo
-       sys-devel/m4
-"
-
-DOCS=( BUG-REPORT ChangeLog MORE.STUFF NEWS PROBLEMS PROJECTS README TODO )
-
-QA_CONFIG_IMPL_DECL_SKIP=(
-       # False positive with older autoconf, will be fixed w/ autoconf-2.72
-       static_assert
-)
-
-PATCHES=(
-       # bug #16108, bug #17580, bug #121502
-       "${FILESDIR}"/${PN}-1.19.2-man-unicode-dashes.patch
-)
-
-src_prepare() {
-       default
-
-       # Honor Gentoo's docdir
-       sed -i -e "s|^docdir =.*|docdir = \"${EPREFIX}/usr/share/doc/${PF}\"|g" 
\
-               Makefile.in \
-               || die "failed to modify Makefile.in"
-
-       local pfx=$(usex prefix ' Prefix' '')
-       cat <<-EOF >> tmac/mdoc.local || die
-       .ds volume-operating-system Gentoo${pfx}
-       .ds operating-system Gentoo${pfx}/${KERNEL}
-       .ds default-operating-system Gentoo${pfx}/${KERNEL}
-       EOF
-
-       # make sure we don't get a crappy `g' nameprefix on UNIX systems with 
real
-       # troff (GROFF_G macro runs some test to see, its own troff doesn't 
satisfy)
-       sed -i -e 's/^[ \t]\+g=g$/g=/' configure || die
-}
-
-src_configure() {
-       local myeconfargs=(
-               --with-appdefdir="${EPREFIX}"/usr/share/X11/app-defaults
-               --without-compatibility-wrappers   # for Prefix
-               $(use_with uchardet)
-               $(use_with X x)
-       )
-
-       econf "${myeconfargs[@]}"
-}
-
-src_compile() {
-       local -a CROSS_ARGS
-       tc-is-cross-compiler && CROSS_ARGS+=(
-               GROFFBIN="$(type -P groff)"
-               TROFFBIN="$(type -P troff)"
-               GROFF_BIN_DIR=
-               GROFF_BIN_PATH=
-       )
-
-       emake AR="$(tc-getAR)" "${CROSS_ARGS[@]}"
-}
-
-src_install() {
-       default
-
-       # The following links are required for man, bug #123674
-       dosym eqn /usr/bin/geqn
-       dosym tbl /usr/bin/gtbl
-
-       if ! use examples ; then
-               # The pdf files might not be generated if ghostscript is 
unavailable, bug #602020
-               local pdf="${ED}/usr/share/doc/${PF}/examples/mom/mom-pdf.pdf"
-               if [[ -e ${pdf} ]] ; then
-                       # Keep mom-pdf.pdf since it's more of a manual than an 
example
-                       # bug #454196 and bug #516732
-                       mv "${pdf}" "${ED}/usr/share/doc/${PF}/pdf/" || die
-               fi
-               rm -rf "${ED}/usr/share/doc/${PF}/examples"
-       fi
-}

Reply via email to